Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_CO_Factory Class Reference

`#include <Notify_Channel_Objects_Factory.h>`

Inheritance diagram for TAO_Notify_CO_Factory:

[legend]
Collaboration diagram for TAO_Notify_CO_Factory:

[legend]
List of all members.

## Public Methods
virtual TAO_Notify_EventChannel_i * | create_event_channel (TAO_Notify_EventChannelFactory_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_ConsumerAdmin_i * | create_consumer_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_SupplierAdmin_i * | create_supplier_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_FilterFactory_i * | create_filter_factory (ACE_ENV_SINGLE_ARG_DECL)=0
virtual TAO_Notify_StructuredProxyPushSupplier_i * | create_struct_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_SequenceProxyPushSupplier_i * | create_seq_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_ProxyPushSupplier_i * | create_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_StructuredProxyPushConsumer_i * | create_struct_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_SequenceProxyPushConsumer_i * | create_seq_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual TAO_Notify_ProxyPushConsumer_i * | create_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
virtual ACE_Lock * | create_channel_factory_lock (ACE_ENV_SINGLE_ARG_DECL)=0
virtual ACE_Lock * | create_event_channel_lock (ACE_ENV_SINGLE_ARG_DECL)=0
virtual ACE_Lock * | create_consumer_admin_lock (ACE_ENV_SINGLE_ARG_DECL)=0
virtual ACE_Lock * | create_supplier_admin_lock (ACE_ENV_SINGLE_ARG_DECL)=0
virtual ACE_Lock * | create_proxy_supplier_lock (ACE_ENV_SINGLE_ARG_DECL)=0
virtual ACE_Lock * | create_proxy_consumer_lock (ACE_ENV_SINGLE_ARG_DECL)=0

## Member Function Documentation

virtual ACE_Lock* TAO_Notify_CO_Factory::create_channel_factory_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ConsumerAdmin_i* TAO_Notify_CO_Factory::create_consumer_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_consumer_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_EventChannel_i* TAO_Notify_CO_Factory::create_event_channel | ( | TAO_Notify_EventChannelFactory_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_event_channel_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_FilterFactory_i* TAO_Notify_CO_Factory::create_filter_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_proxy_consumer_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ProxyPushConsumer_i* TAO_Notify_CO_Factory::create_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ProxyPushSupplier_i* TAO_Notify_CO_Factory::create_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_proxy_supplier_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SequenceProxyPushConsumer_i* TAO_Notify_CO_Factory::create_seq_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SequenceProxyPushSupplier_i* TAO_Notify_CO_Factory::create_seq_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_StructuredProxyPushConsumer_i* TAO_Notify_CO_Factory::create_struct_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_StructuredProxyPushSupplier_i* TAO_Notify_CO_Factory::create_struct_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SupplierAdmin_i* TAO_Notify_CO_Factory::create_supplier_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_supplier_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Default_CO_Factory.

The documentation for this class was generated from the following file:

- Notify_Channel_Objects_Factory.h